Get OpenLineage events for a specified time period
curl --request GET \
--url https://eu1.api.matillion.com/dpc/v1/lineage/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu1.api.matillion.com/dpc/v1/lineage/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu1.api.matillion.com/dpc/v1/lineage/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eu1.api.matillion.com/dpc/v1/lineage/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://eu1.api.matillion.com/dpc/v1/lineage/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://eu1.api.matillion.com/dpc/v1/lineage/events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://eu1.api.matillion.com/dpc/v1/lineage/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"page": 0,
"size": 1,
"total": 1,
"results": [
{
"id": "12345678-1234-1234-1234-123456789012",
"event": {
"eventType": "RUNNING",
"eventTime": "2025-10-13T09:12:10.741Z",
"producer": "https://www.matillion.com",
"schemaURL": "https://openlineage.io/spec/2-0-2/OpenLineage.json#/$defs/RunEvent",
"job": {
"namespace": "matillion://<account-id>.<project-id>",
"name": "path/to/data-pipeline.orch.yaml",
"facets": {
"jobType": {
"jobType": "ORCHESTRATION",
"integration": "MATILLION",
"processingType": "BATCH",
"_producer": "https://www.matillion.com",
"_schemaURL": "https://openlineage.io/spec/facets/2-0-3/JobTypeJobFacet.json#/$defs/JobTypeJobFacet"
},
"documentation": null,
"sourceCode": null,
"sourceCodeLocation": null,
"sql": null,
"ownership": null
}
},
"run": {
"runId": "9876543210-abcd-1234-efgh-567890123456",
"facets": null
},
"inputs": [
{
"namespace": "postgresql://postgres-host.example.com:5432",
"name": "source_schema.source_table",
"facets": {
"schema": {
"fields": [
{
"name": "int_field",
"type": "INTEGER",
"description": null
},
{
"name": "varchar_255",
"type": "VARCHAR",
"description": null
},
{
"name": "bool_field",
"type": "BOOLEAN",
"description": null
}
],
"_producer": "https://www.matillion.com",
"_schemaURL": "https://openlineage.io/spec/facets/1-1-1/SchemaDatasetFacet.json#/$defs/SchemaDatasetFacet"
},
"dataSource": null,
"columnLineage": null
},
"inputFacets": null
}
],
"outputs": [
{
"namespace": "snowflake://account-name.region",
"name": "TARGET_DATABASE.TARGET_SCHEMA.TARGET_TABLE",
"facets": {
"schema": {
"fields": [
{
"name": "int_field",
"type": "NUMBER",
"description": null
},
{
"name": "varchar_255",
"type": "VARCHAR(16777216)",
"description": null
},
{
"name": "bool_field",
"type": "BOOLEAN",
"description": null
}
],
"_producer": "https://www.matillion.com",
"_schemaURL": "https://openlineage.io/spec/facets/1-1-1/SchemaDatasetFacet.json#/$defs/SchemaDatasetFacet"
},
"columnLineage": {
"fields": {
"int_field": {
"inputFields": [
{
"namespace": "postgresql://postgres-host.example.com:5432",
"name": "source_schema.source_table",
"field": "int_field"
}
]
},
"varchar_255": {
"inputFields": [
{
"namespace": "postgresql://postgres-host.example.com:5432",
"name": "source_schema.source_table",
"field": "varchar_255"
}
]
}
},
"_producer": "https://www.matillion.com",
"_schemaURL": "https://openlineage.io/spec/facets/1-2-0/ColumnLineageDatasetFacet.json#/$defs/ColumnLineageDatasetFacet"
}
},
"outputFacets": null
}
]
}
}
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Data Lineage
Get OpenLineage events for a specified time period
Retrieves OpenLineage events in standard OpenLineage format. Events are returned in chronological order within the specified date range and include complete lineage information such as job runs, datasets, and transformations. The date range must be valid (generatedFrom must be before generatedBefore). Use pagination to handle large result sets efficiently.
GET
/
v1
/
lineage
/
events
Get OpenLineage events for a specified time period
curl --request GET \
--url https://eu1.api.matillion.com/dpc/v1/lineage/events \
--header 'Authorization: Bearer <token>'import requests
url = "https://eu1.api.matillion.com/dpc/v1/lineage/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://eu1.api.matillion.com/dpc/v1/lineage/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://eu1.api.matillion.com/dpc/v1/lineage/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://eu1.api.matillion.com/dpc/v1/lineage/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://eu1.api.matillion.com/dpc/v1/lineage/events")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://eu1.api.matillion.com/dpc/v1/lineage/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"page": 0,
"size": 1,
"total": 1,
"results": [
{
"id": "12345678-1234-1234-1234-123456789012",
"event": {
"eventType": "RUNNING",
"eventTime": "2025-10-13T09:12:10.741Z",
"producer": "https://www.matillion.com",
"schemaURL": "https://openlineage.io/spec/2-0-2/OpenLineage.json#/$defs/RunEvent",
"job": {
"namespace": "matillion://<account-id>.<project-id>",
"name": "path/to/data-pipeline.orch.yaml",
"facets": {
"jobType": {
"jobType": "ORCHESTRATION",
"integration": "MATILLION",
"processingType": "BATCH",
"_producer": "https://www.matillion.com",
"_schemaURL": "https://openlineage.io/spec/facets/2-0-3/JobTypeJobFacet.json#/$defs/JobTypeJobFacet"
},
"documentation": null,
"sourceCode": null,
"sourceCodeLocation": null,
"sql": null,
"ownership": null
}
},
"run": {
"runId": "9876543210-abcd-1234-efgh-567890123456",
"facets": null
},
"inputs": [
{
"namespace": "postgresql://postgres-host.example.com:5432",
"name": "source_schema.source_table",
"facets": {
"schema": {
"fields": [
{
"name": "int_field",
"type": "INTEGER",
"description": null
},
{
"name": "varchar_255",
"type": "VARCHAR",
"description": null
},
{
"name": "bool_field",
"type": "BOOLEAN",
"description": null
}
],
"_producer": "https://www.matillion.com",
"_schemaURL": "https://openlineage.io/spec/facets/1-1-1/SchemaDatasetFacet.json#/$defs/SchemaDatasetFacet"
},
"dataSource": null,
"columnLineage": null
},
"inputFacets": null
}
],
"outputs": [
{
"namespace": "snowflake://account-name.region",
"name": "TARGET_DATABASE.TARGET_SCHEMA.TARGET_TABLE",
"facets": {
"schema": {
"fields": [
{
"name": "int_field",
"type": "NUMBER",
"description": null
},
{
"name": "varchar_255",
"type": "VARCHAR(16777216)",
"description": null
},
{
"name": "bool_field",
"type": "BOOLEAN",
"description": null
}
],
"_producer": "https://www.matillion.com",
"_schemaURL": "https://openlineage.io/spec/facets/1-1-1/SchemaDatasetFacet.json#/$defs/SchemaDatasetFacet"
},
"columnLineage": {
"fields": {
"int_field": {
"inputFields": [
{
"namespace": "postgresql://postgres-host.example.com:5432",
"name": "source_schema.source_table",
"field": "int_field"
}
]
},
"varchar_255": {
"inputFields": [
{
"namespace": "postgresql://postgres-host.example.com:5432",
"name": "source_schema.source_table",
"field": "varchar_255"
}
]
}
},
"_producer": "https://www.matillion.com",
"_schemaURL": "https://openlineage.io/spec/facets/1-2-0/ColumnLineageDatasetFacet.json#/$defs/ColumnLineageDatasetFacet"
}
},
"outputFacets": null
}
]
}
}
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>",
"violations": [
"<string>"
]
}Query Parameters
Response
Successfully retrieved lineage events
Was this page helpful?